### Enumeration

# Ggit RefType

#### Declaration

    enum Ggit.RefType

#### Description [src]

Describes the type a reference is.

#### Members

`GGIT_REF_INVALID`

  An invalid reference.

  - Value: `0`
  - Available since: 1.0
`GGIT_REF_OID`

  A reference which points at an object id.

  - Value: `1`
  - Available since: 1.0
`GGIT_REF_SYMBOLIC`

  A reference which points at another reference.

  - Value: `2`
  - Available since: 1.0
`GGIT_REF_LISTALL`

  All reference types.

  - Value: `3`
  - Available since: 1.0